#
# spec file for package perl-Text-ASCIITable
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Text-ASCIITable
Version:        0.20
Release:        4.1
Summary:        Create a nice formatted table using ASCII characters
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Source:         http://search.cpan.org/CPAN/authors/id/L/LU/LUNATIC/Text-ASCIITable-%{version}.tar.gz
Url:            http://search.cpan.org/dist/Text-ASCIITable
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build)
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description
Pretty nifty if you want to output dynamic text to your console or other
fixed-size-font displays, and at the same time it will display it in a nice
human-readable, or "cool" way.

%prep
%setup -q -n "Text-ASCIITable-%{version}"

%build
%__perl ./Build.PL
./Build

%install
./Build pure_install --destdir "%{buildroot}" --installdirs vendor
%perl_process_packlist

%check
./Build test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/Text
%{perl_vendorlib}/Text/ASCIITable.pm
%{perl_vendorlib}/Text/ASCIITable
%doc %{perl_man3dir}/Text::ASCIITable.%{perl_man3ext}%{ext_man}
%doc %{perl_man3dir}/Text::ASCIITable::*.%{perl_man3ext}%{ext_man}

%changelog
* Thu Jan 12 2012 pascal.bleser@opensuse.org
- update to 0.20:
  * fixes spelling errors in man page
  * fixes problem with single-lines '0' not being printed
- changes from 0.19:
  * speed improvements
  * add UTF-8 awareness in counting function
  * some bugfixes
* Thu Mar  3 2011 pascal.bleser@opensuse.org
- initial version (0.18)
